Get Fleet Info
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Query parameters
Include the raw data from the telematics provider. Useful for auditing or accessing fields not normalized by Catena
Response
Immutable: The datetime the record was ingested into Catena Telematics.
Unique identifier of the connection at Catena Telematics through which this record was ingested. A connection represents a Fleet/TSP pairing.
The underlying telematics platform that provided this data (e.g., samsara, motive, hos247). Note: Some platforms like hos247 offer white-labeling, so multiple TSPs may share the same source_name — use tsp_id or tsp_slug to identify the specific ELD provider.
Unique identifier of the record in the TSP. Note: we generate a unique composite key based on available fields if the TSP does not provide an unique ID.
SHA-256 hash of the source data payload. Note: we use it internally for idempotence and deduplication.
Raw source payload as ingested from the TSP. Note: use it for audit/debugging.
Datetime of when the underlying event/observation occurred, as reported by the TSP, or the moment it was ingested by us if not available in the source data.
Unique identifier for the execution that ingested this record into Catena Telematics. Note: useful for tracing.
Unique identifier for schedule that triggered this record’s execution. Note: useful for tracing.
Additional data available in the TSP (e.g., we may have external_id, provider_resource_id, etc. — this field captures all those extra attributes in a flexible way).
Doing-business-as name for the fleet, if different from the carrier name.